## GstGLAPI GstGLAPI |

## Functions

gchar * | gst_gl_api_to_string ()
GstGLAPI | gst_gl_api_from_string ()
gchar * | gst_gl_platform_to_string ()
GstGLPlatform | gst_gl_platform_from_string ()
gboolean | gst_gl_check_extension ()

## Types and Values

enum | GstGLAPI
enum | GstGLPlatform
#define | GST_GL_API_GLES1_NAME
#define | GST_GL_API_GLES2_NAME
#define | GST_GL_API_OPENGL3_NAME
#define | GST_GL_API_OPENGL_NAME

## Description

## Functions

### gst_gl_api_to_string ()

    gchar *
    gst_gl_api_to_string (GstGLAPI api);

### gst_gl_api_from_string ()

    GstGLAPI
    gst_gl_api_from_string (const gchar *api_s);

### gst_gl_platform_to_string ()

    gchar *
    gst_gl_platform_to_string (GstGLPlatform api);

### gst_gl_platform_from_string ()

    GstGLPlatform
    gst_gl_platform_from_string (const gchar *platform_s);

### gst_gl_check_extension ()

    gboolean
    gst_gl_check_extension (const char *name,
                            const gchar *ext);

## Types and Values

### enum GstGLAPI

#### Members

GST_GL_API_NONE |  |
GST_GL_API_OPENGL |  |
GST_GL_API_OPENGL3 |  |
GST_GL_API_GLES1 |  |
GST_GL_API_GLES2 |  |
GST_GL_API_ANY |  |

### enum GstGLPlatform

#### Members

GST_GL_PLATFORM_NONE |  |
GST_GL_PLATFORM_EGL |  |
GST_GL_PLATFORM_GLX |  |
GST_GL_PLATFORM_WGL |  |
GST_GL_PLATFORM_CGL |  |
GST_GL_PLATFORM_EAGL |  |
GST_GL_PLATFORM_ANY |  |

### GST_GL_API_GLES1_NAME

    #define GST_GL_API_GLES1_NAME "gles1"

### GST_GL_API_GLES2_NAME

    #define GST_GL_API_GLES2_NAME "gles2"

### GST_GL_API_OPENGL3_NAME

    #define GST_GL_API_OPENGL3_NAME "opengl3"

### GST_GL_API_OPENGL_NAME

    #define GST_GL_API_OPENGL_NAME "opengl"